import { BlockModel, ITableBlockSettings } from '../../models/index';
export declare function toDomCol(dataCol: number, rowNumberEnabled: boolean): number;
export declare function toDomRow(dataRow: number, headerEnabled: boolean): number;
export declare function toModelRow(domRow: number, headerEnabled: boolean): number;
export declare function getDataCell(tableElement: HTMLTableElement, row: number, col: number): HTMLTableCellElement;
export declare function getHeaderCell(tableElement: HTMLTableElement, col: number): HTMLTableCellElement;
export declare function doesHtmlHasTable(html: string, text?: string): boolean;
export declare function getTableElements(blockId: string, rootEditorElement: HTMLElement, blocks: BlockModel[]): {
    table: HTMLTableElement;
    props: ITableBlockSettings;
} | null;
/**
 * Focuses all editable cells in the table.
 * Useful for "Select All" (Ctrl+A) inside a table.
 *
 * @param {HTMLElement} tableEl - The <table> element inside the table block
 * @returns {void}
 *
 * @hidden
 */
export declare function focusAllCellsInTable(tableEl: HTMLTableElement): void;
/**
 * Removes the focus highlight from all cells in the given table.
 *
 * @param {Element} table - The table element or any element containing the table
 * @returns {void}
 *
 * @hidden
 */
export declare function removeFocusFromAllCells(table: Element): void;
